import time
import RemoteApi_pb2
import remoteapi

"""
TestTimeout.py

Unit test for Remote API timeout functionality
"""

client = remoteapi.DiscoveryClient().createClient()

if client is None:
  raise Exception("Failed to connect.")

pi = client.pluginApi()
pi.config().setTimeout(30)
print("Sleeping for 60 seconds but the Remote API should time out in approximately 30 seconds.")
time.sleep(60);

print("If the Remote API is still showing a connection then the test failed.")
